Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Markierungskomponente

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente

Direct Known Subclasses:
  Textbereich, Textfeld

    public abstract class Markierungskomponente

extends Textkomponente

Die Klasse Markierungskomponente ist eine abstrakte Oberklasse fuer die textorientierten Komponenten der SuM-Komponentenbibliothek, in denen der Benutzer einen Teil des Textes markieren kann. Neben den Diensten und Eigenschaften, die von der Oberklasse geerbt werden, besitzt eine Markierungskomponente Dienste zum Abfragen und Aendern der Markierung, zum Einfuegen, Anhaengen und Loeschen von Text

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht, Bernard Schriek

Field Summary
`protected String` | `zInhaltGeaendertBearbeiter`
`protected String` | `zMarkierungGeaendertBearbeiter`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Markierungskomponente()`

Method Summary
`abstract void` | `fuegeEin(String pText, int pStelle)` Der Text pText wird an Position pStelle eingefuegt.
`abstract void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird am Ende angehaengt.
`abstract void` | `haengeAn(double pZahl)` Die Kommazahl pZahl wird am Ende angehaengt.
`abstract void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird am Ende angehaengt.
`abstract void` | `haengeAn(String pText)` Der Text pText wird am Ende angehaengt.
`abstract boolean` | `istMarkiert()` Es wird zurueckgegeben, ob der Text markiert ist.
`abstract void` | `loesche(int pAnfang, int pEnde)` Der durch die Parameter bestimmte Text wird geloescht.
`void` | `loescheAlles()` Der gesamte Text wird geloescht.
`abstract void` | `loescheMarkierung()` Der markierte Text wird geloescht.
`abstract void` | `markiereAlles()` Der gesamte Text wird markiert.
`abstract void` | `markiereNichts()` Der gesamte Text wird nicht markiert.
`abstract String` | `markierterInhalt()` Der im Textfeld markierte Text wird geliefert.
`protected abstract void` | `markierungGeaendert()` Die Markierungskomponente reagiert auf Veraenderungen der Markierung.
`abstract int` | `markierungsAnfang()` Es wird zurueckgegeben, von wo an der Text markiert ist.
`abstract int` | `markierungsEnde()` Es wird zurueckgegeben, bis wohin der Text markiert ist.
`void` | `setzeBearbeiterInhaltGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterMarkierungGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`abstract void` | `setzeMarkierung(int pAnfang, int pEnde)` Der Text zwischen zwischen pAnfang und pEnde wird markiert.
`abstract String` | `teilinhalt(int pAnfang, int pEnde)` Der Inhalt der Textkomponente von pAnfang bis pEnde wird als String zurueckgegeben.
`String` | `teilInhalt(int pAnfang, int pEnde)` Der Inhalt der Markierungskomponente von pAnfang bis pEnde wird als String zurueckgegeben.

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsText, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zInhaltGeaendertBearbeiter

    protected String zInhaltGeaendertBearbeiter

### zMarkierungGeaendertBearbeiter

    protected String zMarkierungGeaendertBearbeiter

Constructor Detail

### Markierungskomponente

    public Markierungskomponente()

Method Detail

### fuegeEin

    public abstract void fuegeEin(String pText,
                                  int pStelle)

  Der Text pText wird an Position pStelle eingefuegt.

  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pStelle` - die Stelle, an der Text als neue Zeile eingefuegt wird

### haengeAn

    public abstract void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird am Ende angehaengt.

  Parameters:
    `pZeichen` - das Zeichen, das am Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(double pZahl)

  Die Kommazahl pZahl wird am Ende angehaengt.

  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird am Ende angehaengt.

  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(String pText)

  Der Text pText wird am Ende angehaengt.

  Parameters:
    `pText` - der Text, der am Ende angehaengt wird

### istMarkiert

    public abstract boolean istMarkiert()

  Es wird zurueckgegeben, ob der Text markiert ist.

  Returns:
    true, wenn Text markiert ist

### loesche

    public abstract void loesche(int pAnfang,
                                 int pEnde)

  Der durch die Parameter bestimmte Text wird geloescht.

  Parameters:
    `pAnfang` - erste Stelle
    `pEnde` - letzte Stelle

### loescheAlles

    public void loescheAlles()

  Der gesamte Text wird geloescht.

### loescheMarkierung

    public abstract void loescheMarkierung()

  Der markierte Text wird geloescht.

### markiereAlles

    public abstract void markiereAlles()

  Der gesamte Text wird markiert.

### markiereNichts

    public abstract void markiereNichts()

  Der gesamte Text wird nicht markiert.

### markierterInhalt

    public abstract String markierterInhalt()

  Der im Textfeld markierte Text wird geliefert.

  Returns:
    der markierte Text

### markierungGeaendert

    protected abstract void markierungGeaendert()

  Die Markierungskomponente reagiert auf Veraenderungen der Markierung. Abstrakte Methode, muss in Unterklassen ueberschrieben werden.

### markierungsAnfang

    public abstract int markierungsAnfang()

  Es wird zurueckgegeben, von wo an der Text markiert ist.

  Returns:
    die erste markierte Stelle

### markierungsEnde

    public abstract int markierungsEnde()

  Es wird zurueckgegeben, bis wohin der Text markiert ist.

  Returns:
    die letzte markierte Stelle

### setzeBearbeiterInhaltGeaendert

    public void setzeBearbeiterInhaltGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Inhalt der Komponente geaendert wurde.

### setzeBearbeiterMarkierungGeaendert

    public void setzeBearbeiterMarkierungGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Markierung der Komponente geaendert wurde.

### setzeMarkierung

    public abstract void setzeMarkierung(int pAnfang,
                                         int pEnde)

  Der Text zwischen zwischen pAnfang und pEnde wird markiert.

  Parameters:
    `pAnfang` - erste Stelle der Markierung
    `pEnde` - letzte Stelle der Markierung

### teilinhalt

    public abstract String teilinhalt(int pAnfang,
                                      int pEnde)

  Der Inhalt der Textkomponente von pAnfang bis pEnde wird als String zurueckgegeben.

### teilInhalt

    public String teilInhalt(int pAnfang,
                             int pEnde)

  Der Inhalt der Markierungskomponente von pAnfang bis pEnde wird als String zurueckgegeben.

  Parameters:
    `pAnfang` - der Anfang des Textes
    `pEnde` - das Ende des Textes

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD